package com.example.nto.service.impl;

import com.example.nto.service.EmployeeService;
import com.example.nto.repository.EmployeeRepository;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class EmployeeServiceImpl implements EmployeeService {

    private final EmployeeRepository employeeRepository;

    @Override
    public boolean checkLogin(String login) {
        return employeeRepository.existsByLogin(login);
    }
}